<?php

class Recommendation_Tray_Widget extends WP_Widget{

    // Constructor for the class
    public function __construct(){
        $widget_ops = array(
            'classname' => 'recommendation_tray_widget',
            'description' => "Add recommendation tray to the footer. It won't display anything on the page."
        );

        parent::__construct('category_widget', 'Act-on - Personalization', $widget_ops);
    }

    public function checksForInstance($instance, $id, $title) {
        return !empty($instance[$id]) ? $instance[$id] : esc_html__($title, 'text_domain');
    }

    public function form($instance) {
        ?>
        <h3>Act-on - Personalization Widget</h3>
        <h4>This should be placed in the footer. If you need to modify anything with this widget it should be done the settings page</h4>
        <?php
    }

    public function update( $new_instance, $old_instance ) {
        // $instance = array();
        // $instance['title1'] = ( ! empty( $new_instance['title1'] ) ) ? strip_tags( $new_instance['title1'] ) : '';
        // $instance['title2'] = ( ! empty( $new_instance['title2'] ) ) ? strip_tags( $new_instance['title2'] ) : '';
        // $instance['containerClass'] = ( ! empty( $new_instance['containerClass'] ) ) ? strip_tags( $new_instance['containerClass'] ) : '';
        // $instance['titleClass'] = ( ! empty( $new_instance['titleClass'] ) ) ? strip_tags( $new_instance['titleClass'] ) : '';
        // $instance['recWrapClass'] = ( ! empty( $new_instance['recWrapClass'] ) ) ? strip_tags( $new_instance['recWrapClass'] ) : '';
        // $instance['imageClass'] = ( ! empty( $new_instance['imageClass'] ) ) ? strip_tags( $new_instance['imageClass'] ) : '';
        // $instance['postTitleClass'] = ( ! empty( $new_instance['postTitleClass'] ) ) ? strip_tags( $new_instance['postTitleClass'] ) : '';
        // $instance['postSubTitleClass'] = ( ! empty( $new_instance['postSubTitleClass'] ) ) ? strip_tags( $new_instance['postSubTitleClass'] ) : '';

        //return $instance;
    }

    public function widget( $args, $instance ) {
        $options = get_option('personalization-4tell');

        echo $args['before_widget'];

        echo "<div id='data_4Tell' data-info='". json_encode($options) ."'></div>";

        echo "<div id='tray_4Tell' data-title1='". $instance['title1'] ."' data-title2='". $instance['title2'] ."' data-containerClass='". $instance['containerClass'] ."' data-titleClass='". $instance['titleClass'] ."'  data-recWrapClass='". $instance['recWrapClass'] ."'  data-imageClass='". $instance['imageClass'] ."'  data-postTitleClass='". $instance['postTitleClass'] ."'  data-postSubTitleClass='". $instance['postSubTitleClass'] ."'></div>";

        echo "<script id='loader_4Tell' type='text/javascript' asyncsrc='//4tellcdn.azureedge.net/sites/loader.js' data-sitealias='" . $options['ClientAlias'] . "' data-mode='". $options['DataMode'] . "' data-info=></script>";

        echo $args['after_widget'];
    }

}